> For the complete documentation index, see [llms.txt](https://developers.felt.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.felt.com/js-sdk-api-reference/ui/uifeatureaction.md).

# UIFeatureAction

***

Represents a feature action after creation (with generated id).

## Properties

### label

> **label**: `string`

The label of the feature action.

***

### onTrigger()

> **onTrigger**: (`args`: { `feature`: [`LayerFeature`](/js-sdk-api-reference/layers/layerfeature.md); }) => `void`

The function to call when the feature action is triggered.

#### Parameters

| Parameter      | Type                                                                           | Description                            |
| -------------- | ------------------------------------------------------------------------------ | -------------------------------------- |
| `args`         | { `feature`: [`LayerFeature`](/js-sdk-api-reference/layers/layerfeature.md); } | The arguments passed to the function.  |
| `args.feature` | [`LayerFeature`](/js-sdk-api-reference/layers/layerfeature.md)                 | The feature that triggered the action. |

#### Returns

`void`

***

### id

> **id**: `string`

***

### layerIds?

> `optional` **layerIds**: `string`\[]

The layers to add the action to. Optional. Defaults to all layers.

***

### geometryTypes?

> `optional` **geometryTypes**: (`"Polygon"` | `"Point"` | `"Line"` | `"Raster"`)\[]

The geometry type of the features to add the action to. Optional. Defaults to all geometry types.

***

### type?

> `optional` **type**: `undefined`

***

### onCreate()?

> `optional` **onCreate**: (`args`: { `id`: `string`; }) => `void`

A function to call when the element is created.

#### Parameters

| Parameter | Type                | Description                           |
| --------- | ------------------- | ------------------------------------- |
| `args`    | { `id`: `string`; } | The arguments passed to the function. |
| `args.id` | `string`            | The id of the element.                |

#### Returns

`void`

***

### onDestroy()?

> `optional` **onDestroy**: (`args`: { `id`: `string`; }) => `void`

A function to call when the element is destroyed.

#### Parameters

| Parameter | Type                | Description                           |
| --------- | ------------------- | ------------------------------------- |
| `args`    | { `id`: `string`; } | The arguments passed to the function. |
| `args.id` | `string`            | The id of the element.                |

#### Returns

`void`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.felt.com/js-sdk-api-reference/ui/uifeatureaction.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
